RegistryFactoryResource
Date: 2014-06-19

org.gcube.informationsystem.registry.impl.state

## Class RegistryFactoryResource

- java.lang.Object
- - GCUBEWSResource
  - - org.gcube.informationsystem.registry.impl.state.RegistryFactoryResource

-     public class RegistryFactoryResource
      extends GCUBEWSResource

  The RegistryFactoryResource has the role to maintain WS-Topics used to notify changes each time a GCUBEResource profile is created/removed/updated. A single instance of this class is created within each instance of the IS-Registry service.
  Author:
    Manuele Simi (CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistryFactoryResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegistryProperty` | `getCollection()` Default getter for the RP Collection
    `RegistryProperty` | `getExternalRunningInstance()` Default getter for the RP ExternalRunningInstanceRP
    `RegistryProperty` | `getGenericResource()` Default getter for the RP Generic
    `RegistryProperty` | `getGHN()` Default getter for the RP ghn
    `RegistryProperty` | `getGLiteCE()` Default getter for the RP gLiteCE
    `RegistryProperty` | `getGLiteSE()` Default getter for the RP gLiteSE
    `RegistryProperty` | `getGLiteService()` Default getter for the RP gLiteSite
    `RegistryProperty` | `getGLiteSite()` Default getter for the RP gLiteSite
    `RegistryProperty` | `getMetadataCollection()` Default getter for the RP MetadataColletion
    `RegistryProperty` | `getRunningInstance()` Default getter for the RP runningInstanceRP
    `RegistryProperty` | `getRuntimeResource()` Default getter for the RP RuntimeResource
    `RegistryProperty` | `getService()` Default getter for the RP Service
    `RegistryProperty` | `getVRE()` Default getter for the RP VRE
    `void` | `setCollection(RegistryProperty property)` Default Setter for the RP Collection
    `void` | `setExternalRunningInstance(RegistryProperty property)` Default Setter for the RP ExternalRunningInstanceRP
    `void` | `setGenericResource(RegistryProperty property)` Default Setter for the RP Generic
    `void` | `setGHN(RegistryProperty property)` Default Setter for the RP ghn
    `void` | `setGLiteCE(RegistryProperty property)` Default Setter for the RP gLiteCE
    `void` | `setGLiteSE(RegistryProperty property)` Default Setter for the RP gLiteSE
    `void` | `setGLiteService(RegistryProperty property)` Default Setter for the RP gLiteSite
    `void` | `setGLiteSite(RegistryProperty property)` Default Setter for the RP gLiteSite
    `void` | `setMetadataCollection(RegistryProperty property)` Default Setter for the RP MetadataColletion
    `void` | `setRunningInstance(RegistryProperty property)` Default Setter for the RP runningInstanceRP
    `void` | `setRuntimeResource(RegistryProperty property)` Default Setter for the RP RuntimeResource
    `void` | `setService(RegistryProperty property)` Default Setter for the RP Service
    `void` | `setVRE(RegistryProperty property)` Default Setter for the RP VRE

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistryFactoryResource

          public RegistryFactoryResource()

  - ### Method Detail

    - #### setRunningInstance

          public void setRunningInstance(RegistryProperty property)

      Default Setter for the RP runningInstanceRP
      Parameters:
        `property` - The RI property

    - #### getRunningInstance

          public RegistryProperty getRunningInstance()

      Default getter for the RP runningInstanceRP
      Returns:
        The RegistryProperty

    - #### setExternalRunningInstance

          public void setExternalRunningInstance(RegistryProperty property)

      Default Setter for the RP ExternalRunningInstanceRP
      Parameters:
        `property` - The RegistryProperty

    - #### getExternalRunningInstance

          public RegistryProperty getExternalRunningInstance()

      Default getter for the RP ExternalRunningInstanceRP
      Returns:
        The RegistryProperty

    - #### setService

          public void setService(RegistryProperty property)

      Default Setter for the RP Service
      Parameters:
        `property` - The RegistryProperty

    - #### getService

          public RegistryProperty getService()

      Default getter for the RP Service
      Returns:
        The RegistryProperty

    - #### setCollection

          public void setCollection(RegistryProperty property)

      Default Setter for the RP Collection
      Parameters:
        `property` - The RegistryProperty

    - #### getCollection

          public RegistryProperty getCollection()

      Default getter for the RP Collection
      Returns:
        The RegistryProperty

    - #### setRuntimeResource

          public void setRuntimeResource(RegistryProperty property)

      Default Setter for the RP RuntimeResource
      Parameters:
        `property` - The RegistryProperty

    - #### getRuntimeResource

          public RegistryProperty getRuntimeResource()

      Default getter for the RP RuntimeResource
      Returns:
        The RegistryProperty

    - #### setGHN

          public void setGHN(RegistryProperty property)

      Default Setter for the RP ghn
      Parameters:
        `property` - The RegistryProperty

    - #### getGHN

          public RegistryProperty getGHN()

      Default getter for the RP ghn
      Returns:
        The RegistryProperty

    - #### setGLiteSE

          public void setGLiteSE(RegistryProperty property)

      Default Setter for the RP gLiteSE
      Parameters:
        `property` - The RegistryProperty

    - #### getGLiteSE

          public RegistryProperty getGLiteSE()

      Default getter for the RP gLiteSE
      Returns:
        The RegistryProperty

    - #### setGLiteCE

          public void setGLiteCE(RegistryProperty property)

      Default Setter for the RP gLiteCE
      Parameters:
        `property` - The RegistryProperty

    - #### getGLiteCE

          public RegistryProperty getGLiteCE()

      Default getter for the RP gLiteCE
      Returns:
        The RegistryProperty

    - #### setGLiteSite

          public void setGLiteSite(RegistryProperty property)

      Default Setter for the RP gLiteSite
      Parameters:
        `property` - The RegistryProperty

    - #### getGLiteSite

          public RegistryProperty getGLiteSite()

      Default getter for the RP gLiteSite
      Returns:
        The RegistryProperty

    - #### setGLiteService

          public void setGLiteService(RegistryProperty property)

      Default Setter for the RP gLiteSite
      Parameters:
        `property` - The RegistryProperty

    - #### getGLiteService

          public RegistryProperty getGLiteService()

      Default getter for the RP gLiteSite
      Returns:
        The RegistryProperty

    - #### setVRE

          public void setVRE(RegistryProperty property)

      Default Setter for the RP VRE
      Parameters:
        `property` - The RegistryProperty

    - #### getVRE

          public RegistryProperty getVRE()

      Default getter for the RP VRE
      Returns:
        The RegistryProperty

    - #### setMetadataCollection

          public void setMetadataCollection(RegistryProperty property)

      Default Setter for the RP MetadataColletion
      Parameters:
        `property` - The RegistryProperty

    - #### getMetadataCollection

          public RegistryProperty getMetadataCollection()

      Default getter for the RP MetadataColletion
      Returns:
        The RegistryProperty

    - #### setGenericResource

          public void setGenericResource(RegistryProperty property)

      Default Setter for the RP Generic
      Parameters:
        `property` - The RegistryProperty

    - #### getGenericResource

          public RegistryProperty getGenericResource()

      Default getter for the RP Generic
      Returns:
        The RegistryProperty